/*
 * Sean Landman
 * Data Mining for Biomedical Informatics Group
 * University of Minnesota - Twin Cities
 */

package edu.umn.cs.kumarbio.shear.variants;

/**
 * Represents a runtime exception (i.e. unexpected behavior) used for illegal or
 * nonsensical parameters for creating variants.
 */
public class IllegalVariantException extends RuntimeException {

  // For Serializable interface
  private static final long serialVersionUID = -2357100970001167701L;

  public IllegalVariantException() {
    super();
  }

  public IllegalVariantException(String message) {
    super(message);
  }

  public IllegalVariantException(Throwable cause) {
    super(cause);
  }

  public IllegalVariantException(String message, Throwable cause) {
    super(message, cause);
  }

  public IllegalVariantException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
    super(message, cause, enableSuppression, writableStackTrace);
  }

}
